{% extends 'base.html.twig' %}

{% block body %}
    <div class="col-lg-12">
        <h3>Liste sujet :</h3>
        <div class="col-lg-12">
            <a class="btn btn-primary fa-pull-right" style="margin-bottom: 10px;" href="{{ path('su_sujet_new') }}">
                <i class="fa fa-plus-square"></i>  Ajouter un sujet
            </a>
        </div>
    </div>
    <div class="col-lg-12 table-responsive">
        <table class="table table-striped table-rounded-radius"  >
            <thead>
            <tr align="center">
                <th>Actions</th>
                <th>Nom</th>
                <th>Nombre de groupe</th>
            </tr>
            </thead>
            <tbody>
            {% if sujets is empty %}
                <tr>
                    <td colspan="5">
                        <p>Il y a pas des données</p>
                    </td>
                </tr>
            {% else %}
                {% for sujet in sujets %}
                    <tr >
                        <td width="20%">
                            <a class="btn btn-danger" data-toggle="modal" data-target="#deleteAdmin{{ sujet.id }}" style="color: white"><i class="icon ion-md-trash"></i></a>
                            {{ render(controller("SuperAdminBundle:Sujet:show",{ 'id': sujet.id })) }}
                            <a class="btn btn-warning" href="{{ path('su_sujet_edit', { 'id': sujet.id }) }}" style="color: white"><i class="fa fa-edit"></i></a>
                        </td>
                        <td width="40%" align="center">{{ sujet.nom }}</td>
                        <td width="40%" align="center">{{ sujet.groups | length }}</td>
                    </tr>
                    <div class="modal fade" id="deleteAdmin{{ sujet.id }}" tabindex="-1" role="dialog" aria-labelledby="deleteAdmin" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel">Etes-vous sûr que vous voulez supprimer?</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
                                    <a  class="btn btn-danger" href="{{ path('su_sujet_delete', { 'id': sujet.id }) }}" >Supprimer</a>
                                </div>
                            </div>
                        </div>
                    </div>

                {% endfor %}
            {% endif %}
            </tbody>
        </table>
        <nav class="navigation align-content-center">
            {{ knp_pagination_render(sujets) }}
        </nav>
    </div>
{% endblock %}
